### Method

# Gimp Image policy_color_profile

#### Declaration [src]

    gboolean
    gimp_image_policy_color_profile (
      GimpImage* image,
      gboolean interactive
    )

#### Description [src]

Execute the color profile conversion policy.

Process the image according to the color profile policy as set in Preferences. If GIMP is running as a GUI and interactive is TRUE, a dialog may be presented to the user depending on the policy. Otherwise, if the policy does not mandate the conversion to perform, the conversion to the preferred RGB or grayscale profile will happen, defaulting to built-in profiles if no preferred profiles were set in `Preferences`. This function should be used only if you want to follow user settings. If you intend to convert to a specific profile, call preferably gimp_image_convert_color_profile(). And if you wish to leave whatever profile an image has, do not call any of these functions. Finally it is unnecessary to call this function in a format load procedure because this is called automatically by the core code when loading any image. You should only call this function explicitly when loading an image through a PDB call.

Available since: | 3.0

#### Parameters

`interactive` | `gboolean`
| Querying the user through a dialog is a possibility.

#### Return value

Returns: | `gboolean`
| TRUE on success.